searchNodes=[{"doc":"This top-level namespace holds all the functionality for working with CFG. You'll normally interact with configurations using the Config submodule.","ref":"CFG.html","title":"CFG","type":"module"},{"doc":"Format an exception for display.","ref":"CFG.html#format_error/1","title":"CFG.format_error/1","type":"function"},{"doc":"This module contains top-level functionality for working with CFG. Client code will usually just interact with this module.","ref":"CFG.Config.html","title":"CFG.Config","type":"module"},{"doc":"Append or prepend a list of directories to the include path of this configuration.","ref":"CFG.Config.html#add_include/3","title":"CFG.Config.add_include/3","type":"function"},{"doc":"Return this configuration as a map, recursing into included configurations.","ref":"CFG.Config.html#as_dict/1","title":"CFG.Config.as_dict/1","type":"function"},{"doc":"Returns a specification to start this module under a supervisor. See Supervisor .","ref":"CFG.Config.html#child_spec/1","title":"CFG.Config.child_spec/1","type":"function"},{"doc":"Return a configuration from a file, given its path.","ref":"CFG.Config.html#from_file/1","title":"CFG.Config.from_file/1","type":"function"},{"doc":"Return a configuration from its source.","ref":"CFG.Config.html#from_source/1","title":"CFG.Config.from_source/1","type":"function"},{"doc":"Get a value from this configuration by key or path, with an optional default value if not found. If no default is specified and a value isn't found, an error will be returned.","ref":"CFG.Config.html#get/3","title":"CFG.Config.get/3","type":"function"},{"doc":"Get the include path of this configuration.","ref":"CFG.Config.html#get_include/1","title":"CFG.Config.get_include/1","type":"function"},{"doc":"See whether this configuration allows duplicates.","ref":"CFG.Config.html#get_no_duplicates/1","title":"CFG.Config.get_no_duplicates/1","type":"function"},{"doc":"See whether this configuration uses a cache.","ref":"CFG.Config.html#is_cached/1","title":"CFG.Config.is_cached/1","type":"function"},{"doc":"See if the specified value is a configuration.","ref":"CFG.Config.html#is_config/1","title":"CFG.Config.is_config/1","type":"function"},{"doc":"Load this configuration from a file, given its path.","ref":"CFG.Config.html#load_file/2","title":"CFG.Config.load_file/2","type":"function"},{"doc":"Return a new, empty configuration with specified options.","ref":"CFG.Config.html#new/1","title":"CFG.Config.new/1","type":"function"},{"doc":"Set whether this configuration uses a cache.","ref":"CFG.Config.html#set_cached/2","title":"CFG.Config.set_cached/2","type":"function"},{"doc":"Set the include path of this configuration to the specified list of directories.","ref":"CFG.Config.html#set_include/2","title":"CFG.Config.set_include/2","type":"function"},{"doc":"Set whether this configuration allows duplicates.","ref":"CFG.Config.html#set_no_duplicates/2","title":"CFG.Config.set_no_duplicates/2","type":"function"},{"doc":"Set the path from which this configuration was loaded. This is also used to determine the directory searched for included configurations.","ref":"CFG.Config.html#set_path/2","title":"CFG.Config.set_path/2","type":"function"},{"doc":"This type represents a configuration loaded from CFG source. These are its fields: no_duplicates - Whether duplicate keys are allowed. If allowed, newer values for a given key silently overwrite older ones. If not and a duplicate is seen, an error is returned. strict_conversions - Whether conversions of backtick-strings are allowed to fail. If not strict, a failure results in the special string being returned. Otherwise, an error is returned. context - An optional map containing a variable name-to-value mapping. include_path - A list of directories which is searched for included configurations. The directory of the including configuration is searched first. path - The absolute path from where the configuration was loaded. root_dir - The directory containing path . parent - The parent configuration of an included configuration. string_converter - A function which is called with a string and the configuration to perform backtick-string conversion.","ref":"CFG.Config.html#t:t/0","title":"CFG.Config.t/0","type":"type"},{"doc":"","ref":"CFG.Location.html","title":"CFG.Location","type":"module"},{"doc":"Return a location with the specified line and column.","ref":"CFG.Location.html#new/2","title":"CFG.Location.new/2","type":"function"},{"doc":"This type represents a location in the CFG source. These are its fields: line : The source line. It must be a positive integer. column : The source column. It must be a non-negative integer. Newlines end with a zero column; the first character in the next line would be at column 1.","ref":"CFG.Location.html#t:t/0","title":"CFG.Location.t/0","type":"type"},{"doc":"","ref":"CFG.RecognizerError.html","title":"CFG.RecognizerError","type":"exception"},{"doc":"This type represents an error which occurred when processing CFG. These are its fields: location : The optional location of the error in the source. Some errors may have no location. reason : An atom indicating the kind of error. detail : Optional additional information about the error. Here are the error reasons currently in use: invalid_escape - an invalid escape sequence was detected in a string. unterminated_backtick - a backtick-string is unterminated. newlines_not_allowed - newlines aren't allowed in strings other than multi-line strings. unterminated_string - a quoted string is unterminated. bad_number - a number is badly formed. bad_octal_constant - a number which looks like an octal constant is badly formed. unexpected_char - an unexpected character was encountered. unexpected_token - an unexpected token was encountered. unexpected_token_for_value - an unexpected token was encountered when looking for a value. unexpected_token_for_atom - an unexpected token was encountered when looking for an atomic value. bad_key_value_separator - a bad key/value separator was encountered. unexpected_for_key - an unexpected token was encountered when looking for a key in a mapping. unexpected_token_for_container - an unexpected token was encountered when parsing a container. text_after_container - there is trailing text following text for a valid container. invalid_index - an array or slice index is invalid. unexpected_token_for_expression - an unexpected token was encountered when looking for an expression. must_be_mapping - a top-level configuration must be a mapping. invalid_path - a CFG path is invalid. invalid_path_extra - there is text following what looks like a valid CFG path. no_configuration - no configuration has been loaded. not_found - the specified key or path was not found in this configuration. invalid_step - an invalid step (zero) was specified. unexpected_path_start - a CFG path doesn't begin as expected (with an identifier). cannot_evaluate - an expression cannot be evaluated. string_expected - a string was expected, but not found. include_not_found - an included configuration was not found. cannot_add - an addition cannot be performed. cannot_negate - a negation cannot be performed. cannot_subtract - a subtraction cannot be performed. cannot_multiply - a multiplication cannot be performed. cannot_divide - a division cannot be performed. cannot_integer_divide - an integer division cannot be performed. cannot_compute_modulo - a modulo operation cannot be performed. cannot_left_shift - a left shift cannot be performed. cannot_right_shift - a right shift cannot be performed. cannot_raise_to_power - raise to power operation cannot be performed. cannot_bitwise_or - a bitwise-or operation cannot be performed. cannot_bitwise_and - a bitwise-and operation cannot be performed. cannot_bitwise_xor - a bitwise-xor operation cannot be performed. unknown_variable - a variable is undefined or no context was provided. conversion_failure - a string conversion operation cannot be performed. circular_reference - a circular reference was detected when resolving references. not_implemented - a feature is not implemented.","ref":"CFG.RecognizerError.html#t:t/0","title":"CFG.RecognizerError.t/0","type":"type"}]